1

The official study guide for the Magento Frontend Developer Certification states that the exam is based on Magento CE 1.7, and that the questions "test skills that apply to both CE 1.7 and EE 1.12". These versions are obviously getting pretty old now and there have been changes to the Magento theme layer in the newer versions. Improved theme fallback and RWD theme for example.

The study guide is copyright 2013 x.commerce so is clearly a bit out of date. Does anyone who has sat the exam recently know if it has been updated to include questions related to CE 1.9 and EE 1.14.

closed as primarily opinion-based by Priyank, Jai, Manashvi Birla, liyakat, Piyush Aug 2 '18 at 10:53

Many good questions generate some degree of opinion based on expert experience, but answers to this question will tend to be almost entirely based on opinions, rather than facts, references, or specific expertise. If this question can be reworded to fit the rules in the help center, please edit the question.

4

Ok after completing the exam I can confirm that it does test CE 1.9 and EE 1.14. Well thats what it states at the start of the exam anyway.

In terms of the new theme fallback it wasn't really covered, at least in the questions I got. All the theme fallback questions were based on the pre 1.9 system. It did have a number of questions related to responsive theming which is a new concept for Magento in the 1.9 rwd theme.

Not the answer you're looking for? Browse other questions tagged or ask your own question.